ranges::views::slice_fn Struct Reference
Inheritance diagram for ranges::views::slice_fn:

## Public Member Functions

template<typename Int >
CPP_TEMPLATE_AUX_0 | c (requires ` detail::integer_like_< Int >) ccconstexpr auto operator()(Int from
template<typename Int >
CPP_TEMPLATE_AUX_0 | c (requires ` detail::integer_like_< Int >) ccconstexpr auto operator()(Int from

## Public Attributes

CPP_TEMPLATE_AUX_0 Int to | const
CPP_TEMPLATE_AUX_0 detail::from_end_< Int > to | const

## Member Data Documentation

## const [1/2]

CPP_TEMPLATE_AUX_0 Int to ranges::views::slice_fn::const

Initial value:
{
return make_view_closure(bind_back(slice_base_fn{}, from, to))
ranges::to
auto to() -> detail::to_container_fn< detail::from_range< ContT >>
For initializing a container of the specified type with the elements of an Range.
Definition: conversion.hpp:412
ranges::make_view_closure
constexpr make_view_closure_fn make_view_closure
Definition: view.hpp:95
meta::lazy::bind_back
defer< bind_back, Fn, Ts... > bind_back
Definition: meta.hpp:994

## const [2/2]

CPP_TEMPLATE_AUX_0 detail::from_end_<Int> to ranges::views::slice_fn::const

Initial value:
{
return make_view_closure(bind_back(slice_base_fn{}, from, to))